Create machine
curl --request POST \
--url https://levers9.uselevers.com/machines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"poolName": "<string>"
}
'import requests
url = "https://levers9.uselevers.com/machines"
payload = { "poolName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({poolName: '<string>'})
};
fetch('https://levers9.uselevers.com/machines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/machines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'poolName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/machines"
payload := strings.NewReader("{\n \"poolName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/machines")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"poolName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/machines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"poolName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"machine": {
"id": "<string>",
"cpu": "<string>",
"memory": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"status": "<string>",
"poolName": "<string>",
"providerName": "<string>",
"registrationToken": "<string>",
"tailscaleUrl": "<string>",
"tailscaleAuth": "<string>",
"lastKeepalive": "<string>",
"created": "<string>",
"machineVersion": "<string>",
"machineMetrics": {
"totalCpuAvailable": 123,
"totalMemoryAvailable": 123,
"cpuUtilizationPct": 123,
"memoryUtilizationPct": 123,
"workerCount": 123,
"containerCount": 123,
"freeGpuCount": 123,
"cacheUsagePct": 123,
"cacheCapacity": 123,
"cacheMemoryUsage": 123,
"cacheCpuUsage": 123,
"memoryUsedMb": "<string>",
"memoryTotalMb": "<string>",
"diskUsedMb": "<string>",
"diskTotalMb": "<string>",
"diskUsagePct": 123,
"pathMetrics": [
{
"label": "<string>",
"path": "<string>",
"usedMb": "<string>",
"totalMb": "<string>",
"availableMb": "<string>",
"usagePct": 123
}
]
},
"userData": "<string>",
"ssh": {
"supported": true,
"status": "<string>",
"publicIp": "<string>",
"host": "<string>",
"port": 123,
"username": "<string>",
"activeGeneration": "<string>",
"appliedGeneration": "<string>",
"keyFingerprint": "<string>",
"hostKeyFingerprint": "<string>",
"privateKeyAvailable": true,
"pendingRotation": true,
"pendingGeneration": "<string>",
"pendingFingerprint": "<string>",
"pendingKeyAvailable": true,
"pendingKeyDownloaded": true,
"error": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"machineUpstreamUrl": "<string>",
"machineUpstreamBranch": "<string>",
"machineUpstreamToken": "<string>",
"installCommand": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ControlPlaneService
Create machine
POST
/
machines
Create machine
curl --request POST \
--url https://levers9.uselevers.com/machines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"poolName": "<string>"
}
'import requests
url = "https://levers9.uselevers.com/machines"
payload = { "poolName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({poolName: '<string>'})
};
fetch('https://levers9.uselevers.com/machines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/machines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'poolName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/machines"
payload := strings.NewReader("{\n \"poolName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/machines")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"poolName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/machines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"poolName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"machine": {
"id": "<string>",
"cpu": "<string>",
"memory": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"status": "<string>",
"poolName": "<string>",
"providerName": "<string>",
"registrationToken": "<string>",
"tailscaleUrl": "<string>",
"tailscaleAuth": "<string>",
"lastKeepalive": "<string>",
"created": "<string>",
"machineVersion": "<string>",
"machineMetrics": {
"totalCpuAvailable": 123,
"totalMemoryAvailable": 123,
"cpuUtilizationPct": 123,
"memoryUtilizationPct": 123,
"workerCount": 123,
"containerCount": 123,
"freeGpuCount": 123,
"cacheUsagePct": 123,
"cacheCapacity": 123,
"cacheMemoryUsage": 123,
"cacheCpuUsage": 123,
"memoryUsedMb": "<string>",
"memoryTotalMb": "<string>",
"diskUsedMb": "<string>",
"diskTotalMb": "<string>",
"diskUsagePct": 123,
"pathMetrics": [
{
"label": "<string>",
"path": "<string>",
"usedMb": "<string>",
"totalMb": "<string>",
"availableMb": "<string>",
"usagePct": 123
}
]
},
"userData": "<string>",
"ssh": {
"supported": true,
"status": "<string>",
"publicIp": "<string>",
"host": "<string>",
"port": 123,
"username": "<string>",
"activeGeneration": "<string>",
"appliedGeneration": "<string>",
"keyFingerprint": "<string>",
"hostKeyFingerprint": "<string>",
"privateKeyAvailable": true,
"pendingRotation": true,
"pendingGeneration": "<string>",
"pendingFingerprint": "<string>",
"pendingKeyAvailable": true,
"pendingKeyDownloaded": true,
"error": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"machineUpstreamUrl": "<string>",
"machineUpstreamBranch": "<string>",
"machineUpstreamToken": "<string>",
"installCommand": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A successful response.

